APIs / GitHub / Repository Tree
GitHub: Repository Tree
Repository Tree from GitHub as JSON. 1 credit per successful call.
GET /v1/github/repository-tree
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
owner | string | Required | Up to 39 characters |
repo | string | Required | Up to 100 characters |
ref | string | Optional | Up to 255 characters |
recursive | boolean | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/github/repository-tree?owner=laravel&repo=framework&recursive=1" \
-H "X-API-Key: $API_KEY"